Archlinux compilation fails #27

Closed
diegoxter opened this Issue Nov 9, 2011 · 2 comments

Comments

Projects
None yet
2 participants

Hello there, im trying to build gnome-pie in an arch box, this is the cmake output

checking for a minimum Vala version of 0.11.0
-- found Vala, version 0.14.0
-- checking for module 'appindicator-0.1'
-- package 'appindicator-0.1' not found
-- checking for module 'libbamf'
-- package 'libbamf' not found
CMake Error at /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:266 (message):
A required package was not found
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:320 (_pkg_check_modules_internal)
CMakeLists.txt:36 (pkg_check_modules)

Summary:
EXECUTABLE_OUTPUT_PATH = /home/diegoxter/builds/jokes/gnome-pie-git/src/Gnome-Pie
VALA_EXECUTABLE = /usr/bin/valac
Libs:
GTK_LIBRARIES = gtk-x11-2.0;gdk-x11-2.0;atk-1.0;gio-2.0;pangoft2-1.0;pangocairo-1.0;gdk_pixbuf-2.0;cairo;pango-1.0;freetype;fontconfig;gobject-2.0;gmodule-2.0;gthread-2.0;rt;glib-2.0
CAIRO_LIBRARIES = cairo
GEE_LIBRARIES = gee;gobject-2.0;gthread-2.0;rt;glib-2.0
INDICATOR_LIBRARIES =
XML_LIBRARIES = xml2
XTST_LIBRARIES = Xtst
GMENU_LIBRARIES =
GMENU3_LIBRARIES = gnome-menu-3;gio-2.0;gobject-2.0;gmodule-2.0;gthread-2.0;rt;glib-2.0
UNIQUE_LIBRARIES = unique-1.0;gtk-x11-2.0;gdk-x11-2.0;atk-1.0;gio-2.0;pangoft2-1.0;pangocairo-1.0;gdk_pixbuf-2.0;cairo;pango-1.0;freetype;fontconfig;gobject-2.0;gmodule-2.0;gthread-2.0;rt;glib-2.0
X11_LIBRARIES = X11
BAMF_LIBRARIES =
WNCK_LIBRARIES = wnck-1;gtk-x11-2.0;gdk-x11-2.0;atk-1.0;gio-2.0;pangoft2-1.0;pangocairo-1.0;gdk_pixbuf-2.0;cairo;pango-1.0;freetype;fontconfig;gobject-2.0;gmodule-2.0;gthread-2.0;rt;glib-2.0

-- Configuring incomplete, errors occurred!

Owner

Simmesimme commented Nov 10, 2011

Hey there!

You'll need to install a package libbamf-dev (or something like that and you will require bamfdaemon at runtime) Never mind the message about appindicator, this is optional and not required at all. Just makes it integrate better on Ubuntu boxes.

Hope this helps!

Thanks! That did the trick.
For any Arch user out there, I installed bamf-bin from AUR.

diegoxter closed this Nov 11, 2011

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment